Skip to content

Create Organization

POST
/ai_labs/organization/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "Demo_Organization",
"description": "This is a demo organization",
"sku_item_price_id": 3807
}'

Note: AI Labs is currently available only in the Delhi region.

location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

Media typeapplication/json
object
name
required

The name of the organization

string
description

Description of the organization

string
sku_item_price_id
required

Current SKU item price ID

integer

Example

{
"name": "Demo_Organization",
"description": "This is a demo organization",
"sku_item_price_id": 3807
}

Successfully created organization

Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
description
string
project
object
team_id
integer
project_id
integer
project_name
string
team_name
string
sku_details
object
specs
object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
integer
ephemeral_storage
integer
gpu_memory
integer
is_free
boolean
is_active
boolean
gpu_switch_type
string
nullable
local_storage_in_gb
integer
sku_type
string
gpu_card_type
string
category
string
variant
string
no_of_nodes
integer
plan
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number
currency
string
is_active
boolean
description
string
location
string
organization_nodes
Array<object>
object
node_name
string
node_alias_name
string
members_count
integer
max_students
integer
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
resource_count
integer
iam_info
object
id
integer
owner
object
id
integer
name
string
email
string
username
string
added_user
object
id
integer
name
string
email
string
username
string
role
string
iam_type
string
created_at
string format: date-time
updated_at
string format: date-time
is_student
boolean
invited_count
integer
ai_lab_plan
object
id
integer
name
string
no_of_students
integer
is_active
boolean
no_of_nodes
integer
committed_info
object
status
string
course_count
integer
location
string
errors
object
message
string

Example

{
"code": 201,
"data": {
"id": 38,
"name": "demo_course",
"description": "This is demo organization"
},
"errors": {},
"message": "Created Successfully"
}